Skip to content
Skip to main content
GET
https://api.us.nylas.com/v3/lists

List lists

Returns all lists for your application.

Works with an API key or an IAM API key with the lists.read permission.

Parameters

Query parameters

limitinteger

The maximum number of objects to return. See Pagination for more information.

Default: 50
page_tokenstring

A token to fetch the next page of results. Use the next_cursor value from the previous response.

Responses

request_idstring

ID of the request.

Example: "5fa64c92-e840-4357-86b9-2aa364d35b88"
dataarray<object>
next_cursorstring

A token to use for paginating through results. If present, pass this value as page_token in the next request.

Example: "eyJhbGciOiJIUzI1NiJ9"
GEThttps://api.us.nylas.com/v3/lists?limit=50

Find your API key in the Nylas Dashboard under API Keys in your application settings.

limitinteger

The maximum number of objects to return. See Pagination for more information.

page_tokenstring

A token to fetch the next page of results. Use the next_cursor value from the previous response.